Skip to main content
GET
/
v1
/
orders
/
{sourceOrderId}
/
fulfillments
Get Fulfillment
curl --request GET \
  --url https://api.production.orderprotection.com/v1/orders/{sourceOrderId}/fulfillments \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.production.orderprotection.com/v1/orders/{sourceOrderId}/fulfillments"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.production.orderprotection.com/v1/orders/{sourceOrderId}/fulfillments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "sourceItemIds": [
      {
        "sourceItemId": "1478",
        "quantity": 1
      },
      {
        "sourceItemId": "1479",
        "quantity": 2
      }
    ],
    "fulfillmentStatus": "Fulfilled",
    "sourceFulfillmentId": "fulfillment-123",
    "trackingCompany": "FedEx",
    "trackingNumber": [
      "AB0303456",
      "CD0303457"
    ],
    "trackingUrl": [
      "https://example-follow-shipment.com/AB0303456",
      "https://example-follow-shipment.com/CD0303457"
    ],
    "createdAt": "2024-03-20T12:00:00Z",
    "updatedAt": "2024-03-20T12:00:00Z"
  }
]
{
"message": "Unauthorized",
"statusCode": 401
}
{
"message": "Not Found",
"error": "Not Found",
"statusCode": 404
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

sourceOrderId
string
required

Response

Return list of order fulfillments.

sourceItemIds
object[]
required

Array of order items objects with the sourceItemId and quantity

Example:
[
{ "sourceItemId": "1478", "quantity": 1 },
{ "sourceItemId": "1479", "quantity": 2 }
]
fulfillmentStatus
enum<string>
required

Fulfillment Status

Available options:
DELIVERED,
FULFILLED,
UNFULFILLED,
PARTIALLY_FULFILLED,
AWAITING_SHIPMENT,
SCHEDULED,
ON_HOLD,
ATTEMPTED_DELIVERY,
CARRIER_PICKED_UP,
CONFIRMED,
DELAYED,
FAILURE,
IN_TRANSIT,
LABEL_PRINTED,
LABEL_PURCHASED,
OUT_FOR_DELIVERY,
PICKED_UP,
READY_FOR_PICKUP
Example:

"Fulfilled"

sourceFulfillmentId
string
required

Source Fulfillment ID. This will allow you to update your fulfillment using your internal fulfillment ID

Example:

"fulfillment-123"

trackingCompany
string

Tracking Company

Example:

"FedEx"

trackingNumber
string[]

Array of Tracking Numbers

Example:
["AB0303456", "CD0303457"]
trackingUrl
string[]

Array of Tracking URLs

Example:
[
"https://example-follow-shipment.com/AB0303456",
"https://example-follow-shipment.com/CD0303457"
]
createdAt
string<date-time>

Creation date of the fulfillment. If null, the createdAt date will be created automatically.

Example:

"2024-03-20T12:00:00Z"

updatedAt
string<date-time>

Last update date of the fulfillment. If null, the updatedAt date will be created automatically.

Example:

"2024-03-20T12:00:00Z"